Cyberduck Mountain Duck CLI

#307 closed defect (fixed)

Incompatibility with servers closing control channel after failed login attempt

Reported by: info@… Owned by: dkocher
Priority: normal Milestone: 2.6
Component: core Version: 2.5.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Ich versuche eine Verbindung zu einem 1&1-Server herzustellen. Nachdem ich die Verbindungsdaten eingegeben habe, erhalte ich wiederholbar die Fehlermeldung: "IO Fehler: Unexpected null reply received". Testweise habe ich versucht, mit Fetch die Verbindung aufzubauen - das ging ohne Probleme. Ein Programmfehler?

Attachments (1)

Fehlermeldung.png (14.3 KB) - added by info@… on Mar 28, 2006 at 2:23:45 PM.
Screenshot der Fehlermeldung

Download all attachments as: .zip

Change History (4)

Changed on Mar 28, 2006 at 2:23:45 PM by info@…

Screenshot der Fehlermeldung

comment:1 Changed on Apr 7, 2006 at 7:26:50 PM by dkocher

Tritt dieser fehler auf nachdem sie aufgefordert werden die login daten einzugeben? Funktioniert es wenn zuerst ein bookmark angelegt wird?

comment:2 Changed on Apr 10, 2006 at 10:14:45 AM by dkocher

  • Milestone set to 2.5.6
  • Status changed from new to assigned
  • Summary changed from Merkwürdiger Verbindungsfehler to Incompatibility with servers closing control channel after failed login attempt

Some servers (incorrectly) close the control channel if the first login attempt failed. This exhibits itself when attempting a anonymous login (using the quick connect feature). After the failed anonymous login and being prompted for the correct login credentials a 'unexpected null reply' is received.

comment:3 Changed on May 14, 2006 at 12:23:18 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software